function is_value_in_tabl_as_index (value, tabl)
  for i, v in pairs (tabl) do
    if (i == value) then
      return true
    end
  end
  return false
end



local tabl = data.raw["gui-style"]
local tabl_prefix = 'data.raw["gui-style"]'
local type_tabl = {}

for d_name, styles_prot in pairs (tabl) do
	for style_name, style_prot in pairs (styles_prot) do
    if (type(style_prot) == "table") and (style_prot.type) then
    
      log (' / ' .. tabl_prefix..'["'.. d_name .. '"]["' .. style_name .. '"] = ' .. serpent.block(style_prot, {comment = false}))
      
      if not (is_value_in_tabl_as_index (style_prot.type, type_tabl)) then
        type_tabl[style_prot.type] = {}
      end
      
      local list = type_tabl[style_prot.type]
      list[#list+1] = style_name
      
      
    end
	end
end

log (' / ' .. [[type_tabl = 
]] .. serpent.block(type_tabl, {comment = false}))